Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class RuntimeEnvironmentBuilder

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeEnvironmentBuilder

All Implemented Interfaces:
  RuntimeEnvironmentBuilder, RuntimeEnvironmentBuilderFactory

    public class RuntimeEnvironmentBuilder

extends Object
implements RuntimeEnvironmentBuilderFactory, RuntimeEnvironmentBuilder

Builder implementation that follows fluent approach to build `RuntimeEnvironments`. Comes with short cut methods to get predefined configurations of the `RuntimeEnvironment`:

- getDefault() - returns preconfigured environment with enabled persistence
- getDefaultInMemory() - returns preconfigured environment with disabled persistence for runtime engine
- getDefault(ReleaseId) - returns preconfigured environment with enabled persistence that is tailored for kjar
- getDefault(ReleaseId, String, String) - returns preconfigured environment with enabled persistence that is tailored for kjar and allows to specify kbase and ksession name
- getDefault(String, String, String) - returns preconfigured environment with enabled persistence that is tailored for kjar
- getDefault(String, String, String, String, String) - returns preconfigured environment with enabled persistence that is tailored for kjar and allows to specify kbase and ksession name
- getEmpty() - completely empty environment for self configuration
- getClasspathKModuleDefault() - returns preconfigured environment with enabled persistence based on classpath kiecontainer
- getClasspathKModuleDefault(String, String) - returns preconfigured environment with enabled persistence based on classpath kiecontainer

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.api.runtime.manager.RuntimeEnvironmentBuilder
`RuntimeEnvironmentBuilder.Factory`

Constructor Summary
`RuntimeEnvironmentBuilder()`

Method Summary
`RuntimeEnvironmentBuilder` | `addAsset(Resource asset, ResourceType type)`
`RuntimeEnvironmentBuilder` | `addConfiguration(String name, String value)`
`RuntimeEnvironmentBuilder` | `addEnvironmentEntry(String name, Object value)`
`RuntimeEnvironmentBuilder` | `classLoader(ClassLoader cl)`
`RuntimeEnvironmentBuilder` | `entityManagerFactory(Object emf)`
`org.kie.internal.runtime.manager.RuntimeEnvironment` | `get()`
`static RuntimeEnvironmentBuilder` | `getClasspathKmoduleDefault()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
`static RuntimeEnvironmentBuilder` | `getClasspathKmoduleDefault(String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
`static RuntimeEnvironmentBuilder` | `getDefault()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment
`static RuntimeEnvironmentBuilder` | `getDefault(ReleaseId releaseId)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`static RuntimeEnvironmentBuilder` | `getDefault(ReleaseId releaseId, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`static RuntimeEnvironmentBuilder` | `getDefault(String groupId, String artifactId, String version)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`static RuntimeEnvironmentBuilder` | `getDefault(String groupId, String artifactId, String version, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`static RuntimeEnvironmentBuilder` | `getDefaultInMemory()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment but it does not have persistence for process engine configured so it will only store process instances in memory
`static RuntimeEnvironmentBuilder` | `getEmpty()` Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.
`protected static Object` | `getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model, KieContainer kieContainer, Map<String,Object> contaxtParams)`
`RuntimeEnvironmentBuilder` | `knowledgeBase(KieBase kbase)`
`RuntimeEnvironmentBuilder` | `mapper(org.kie.internal.runtime.manager.Mapper mapper)`
`RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
`RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder(String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
`RuntimeEnvironmentBuilder` | `newDefaultBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(ReleaseId releaseId)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(ReleaseId releaseId, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(String groupId, String artifactId, String version)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(String groupId, String artifactId, String version, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultInMemoryBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment but it does not have persistence for process engine configured so it will only store process instances in memory
`RuntimeEnvironmentBuilder` | `newEmptyBuilder()` Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.
`RuntimeEnvironmentBuilder` | `persistence(boolean persistenceEnabled)`
`RuntimeEnvironmentBuilder` | `registerableItemsFactory(RegisterableItemsFactory factory)`
`RuntimeEnvironmentBuilder` | `schedulerService(Object globalScheduler)`
`RuntimeEnvironmentBuilder` | `userGroupCallback(UserGroupCallback callback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeEnvironmentBuilder

    public RuntimeEnvironmentBuilder()

Method Detail

### getEmpty

    public static RuntimeEnvironmentBuilder getEmpty()

  Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.

  Returns:
    new instance of `RuntimeEnvironmentBuilder`

### getDefault

    public static RuntimeEnvironmentBuilder getDefault()

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment

  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getDefaultInMemory

    public static RuntimeEnvironmentBuilder getDefaultInMemory()

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  but it does not have persistence for process engine configured so it will only store process instances in memory

  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getDefault

    public static RuntimeEnvironmentBuilder getDefault(String groupId,
                                                       String artifactId,
                                                       String version)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `groupId` - group id of kjar
    `artifactId` - artifact id of kjar
    `version` - version number of kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getDefault

    public static RuntimeEnvironmentBuilder getDefault(String groupId,
                                                       String artifactId,
                                                       String version,
                                                       String kbaseName,
                                                       String ksessionName)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `groupId` - group id of kjar
    `artifactId` - artifact id of kjar
    `version` - version number of kjar
    `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
    `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getDefault

    public static RuntimeEnvironmentBuilder getDefault(ReleaseId releaseId)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `releaseId` - `ReleaseId` that described the kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getDefault

    public static RuntimeEnvironmentBuilder getDefault(ReleaseId releaseId,
                                                       String kbaseName,
                                                       String ksessionName)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `releaseId` - `ReleaseId` that described the kjar
    `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
    `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getClasspathKmoduleDefault

    public static RuntimeEnvironmentBuilder getClasspathKmoduleDefault()

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself. Expects to use default kbase and ksession from kmodule.

  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getClasspathKmoduleDefault

    public static RuntimeEnvironmentBuilder getClasspathKmoduleDefault(String kbaseName,
                                                                       String ksessionName)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.

  Parameters:
    `kbaseName` - name of the kbase defined in kmodule.xml
    `ksessionName` - name of the ksession define in kmodule.xml
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### persistence

    public RuntimeEnvironmentBuilder persistence(boolean persistenceEnabled)

  Specified by:
    `persistence` in interface `RuntimeEnvironmentBuilder`

### entityManagerFactory

    public RuntimeEnvironmentBuilder entityManagerFactory(Object emf)

  Specified by:
    `entityManagerFactory` in interface `RuntimeEnvironmentBuilder`

### addAsset

    public RuntimeEnvironmentBuilder addAsset(Resource asset,
                                              ResourceType type)

  Specified by:
    `addAsset` in interface `RuntimeEnvironmentBuilder`

### addEnvironmentEntry

    public RuntimeEnvironmentBuilder addEnvironmentEntry(String name,
                                                         Object value)

  Specified by:
    `addEnvironmentEntry` in interface `RuntimeEnvironmentBuilder`

### addConfiguration

    public RuntimeEnvironmentBuilder addConfiguration(String name,
                                                      String value)

  Specified by:
    `addConfiguration` in interface `RuntimeEnvironmentBuilder`

### knowledgeBase

    public RuntimeEnvironmentBuilder knowledgeBase(KieBase kbase)

  Specified by:
    `knowledgeBase` in interface `RuntimeEnvironmentBuilder`

### userGroupCallback

    public RuntimeEnvironmentBuilder userGroupCallback(UserGroupCallback callback)

  Specified by:
    `userGroupCallback` in interface `RuntimeEnvironmentBuilder`

### mapper

    public RuntimeEnvironmentBuilder mapper(org.kie.internal.runtime.manager.Mapper mapper)

### registerableItemsFactory

    public RuntimeEnvironmentBuilder registerableItemsFactory(RegisterableItemsFactory factory)

  Specified by:
    `registerableItemsFactory` in interface `RuntimeEnvironmentBuilder`

### get

    public org.kie.internal.runtime.manager.RuntimeEnvironment get()

  Specified by:
    `get` in interface `RuntimeEnvironmentBuilder`

### schedulerService

    public RuntimeEnvironmentBuilder schedulerService(Object globalScheduler)

  Specified by:
    `schedulerService` in interface `RuntimeEnvironmentBuilder`

### classLoader

    public RuntimeEnvironmentBuilder classLoader(ClassLoader cl)

  Specified by:
    `classLoader` in interface `RuntimeEnvironmentBuilder`

### newEmptyBuilder

    public RuntimeEnvironmentBuilder newEmptyBuilder()

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.

  Specified by:
    `newEmptyBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Returns:
    new instance of `RuntimeEnvironmentBuilder`

### newDefaultBuilder

    public RuntimeEnvironmentBuilder newDefaultBuilder()

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment

  Specified by:
    `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultInMemoryBuilder

    public RuntimeEnvironmentBuilder newDefaultInMemoryBuilder()

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  but it does not have persistence for process engine configured so it will only store process instances in memory

  Specified by:
    `newDefaultInMemoryBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    public RuntimeEnvironmentBuilder newDefaultBuilder(String groupId,
                                                       String artifactId,
                                                       String version)

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Specified by:
    `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Parameters:
    `groupId` - group id of kjar
    `artifactId` - artifact id of kjar
    `version` - version number of kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    public RuntimeEnvironmentBuilder newDefaultBuilder(String groupId,
                                                       String artifactId,
                                                       String version,
                                                       String kbaseName,
                                                       String ksessionName)

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Specified by:
    `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Parameters:
    `groupId` - group id of kjar
    `artifactId` - artifact id of kjar
    `version` - version number of kjar
    `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
    `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    public RuntimeEnvironmentBuilder newDefaultBuilder(ReleaseId releaseId)

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Specified by:
    `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Parameters:
    `releaseId` - `ReleaseId` that described the kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    public RuntimeEnvironmentBuilder newDefaultBuilder(ReleaseId releaseId,
                                                       String kbaseName,
                                                       String ksessionName)

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Specified by:
    `newDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Parameters:
    `releaseId` - `ReleaseId` that described the kjar
    `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
    `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newClasspathKmoduleDefaultBuilder

    public RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder()

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself. Expects to use default kbase and ksession from kmodule.

  Specified by:
    `newClasspathKmoduleDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newClasspathKmoduleDefaultBuilder

    public RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder(String kbaseName,
                                                                       String ksessionName)

  Description copied from interface: `RuntimeEnvironmentBuilderFactory`
  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.

  Specified by:
    `newClasspathKmoduleDefaultBuilder` in interface `RuntimeEnvironmentBuilderFactory`
  Parameters:
    `kbaseName` - name of the kbase defined in kmodule.xml
    `ksessionName` - name of the ksession define in kmodule.xml
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### getInstanceFromModel

    protected static Object getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model,
                                                 KieContainer kieContainer,
                                                 Map<String,Object> contaxtParams)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.